Skip to main content
`Ctrl`+`K`

# VecZeroEntries

puts a `0.0` in each element of a vector

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecZeroEntries(Vec vec)

Logically Collective

## Input Parameter

- vec - The vector

## Note

If the norm of the vector is known to be zero then this skips the unneeded zeroing process

## See Also

Vectors and Parallel Data, `Vec`, `VecCreate()`, `VecSetOptionsPrefix()`, `VecSet()`, `VecSetValues()`

## Level

beginner

## Location

src/vec/vec/interface/vector.c

## Examples

src/snes/tutorials/ex28.c
src/snes/tutorials/ex56.c
src/ksp/ksp/tutorials/ex43.c
src/snes/tutorials/ex16.c
src/ksp/ksp/tutorials/ex69.c
src/ksp/ksp/tutorials/ex42.c
src/ksp/ksp/tutorials/ex49.c
src/ksp/ksp/tutorials/ex70.c
src/ksp/ksp/tutorials/ex56.c
src/ksp/ksp/tutorials/ex71.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages